Show / Hide Table of Contents

# Class Hover

##### Inheritance

System.Object
Hover

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class Hover

### Properties

| Improve this Doc View Source

#### Contents

##### Declaration

    public MarkedString[] Contents { get; set; }

##### Property Value

Type | Description
--- | ---
MarkedString[] |

| Improve this Doc View Source

#### Range

##### Declaration

    public Range? Range { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Range> |